faked(1)

NAME
faked - Daemon, der sich an gefälschte Eigentümerschaften und Zugriffsrechte von Dateien erinnert, die durch fakeroot-Prozesse manipuliert wurden.

ÜBERSICHT
faked [--debug] [--foreground] [--cleanup] [--key Nachrichtenschlüssel] [--load] [--save-file zu_speichernde_Datei] [--port TCP-Port]

BESCHREIBUNG
Falls ein fakeroot-Prozess die Eigentümerschaften einer Datei ändern möchte, dann ist faked der Prozess, der sich an diesen neuen Besitzer erinnert. Falls der gleiche fakeroot-Prozess später stat(2) für diesen Dateinamen ausführt, dann wird der von libfakeroot umhüllte stat(2)-Aufruf zuerst faked nach den Eigentümerschaften usw. der Datei fragen und diese dann zurückliefern.

OPTIONEN

--debug
    Gibt Informationen zur Fehlersuche auf der Standardfehlerausgabe aus.

--foreground
    Erzeugt keinen Hintergrundprozess.

--cleanup Nummer
    Bereinigt Semaphoren.

--key Schlüsselnummer
    Reserviert keinen neuen Kommunikationskanal, sondern benutzt den durch den Schlüssel angegebenen Kanal. (Falls der angegebene Kanal nicht existiert, wird er erzeugt.)

--save-file zu_speichernde_Datei
    Sichert beim Beenden die Umgebung in zu_speichernde_Datei.

--load
    Lädt eine vorher gesicherte Umgebung von der Standardeingabe.

--unknown-is-real
    Benutzt echte Eigentümerschaften von vorher unbekannten Dateien, anstatt sie auf »root:root« zu setzen.

--port TCP-Port
    Verwendet den TCP-Port TCP-Port.

FEHLER
Bisher keine. Seien Sie dennoch gewarnt: Obwohl der Autor eine ganze Reihe wesentlich größere (und kleinere) Programme geschrieben hat, hat er nie etwas geschrieben, das so klein wie fakeroot war und so viele Fehler wie fakeroot hatte und immer noch so benutzbar war wie etwa fakeroot Version 0.0_3, der ersten Version, die benutzt werden konnte, um fakeroot selbst zu bauen.

KOPIEREN
fakeroot wird unter den Bedingungen der GNU General Public License (GPL 2.0 oder höher) weitergegeben.

AUTOREN

Joost Witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÜBERSETZER
Übersetzung bei Chris Leick <debian-l10n-german@lists.debian.org>

HANDBUCHSEITE
größtenteils von J.H.M. Dassen <jdassen@debian.org> mit Anpassungen und Ergänzungen von Joost und Clint.

SIEHE AUCH
debuild(1), dpkg-buildpackage(1), fakeroot(1), /usr/share/doc/fakeroot/DEBUG